Bug 1461880 - Gnome Software doesn't disable 'Launch' and 'Remove' buttons during a Remove operation and shows no feedback when the operation gets stuck or fails
Gnome Software doesn't disable 'Launch' and 'Remove' buttons during a Remove ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 10:07 EDT by Danilo Cominotti Marques
Modified: 2017-12-12 05:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:37:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Danilo Cominotti Marques 2017-06-15 10:07:00 EDT
Description of problem:
After clicking on the 'Remove' button from Netbeans 8.2 (manually installed) and then on 'Remove' again on the confirmation modal dialog, nothing happens, no visual feedback is provided, and the 'Launch' and 'Remove' buttons remain visible, giving the idea that no action was triggered.

Version-Release number of selected component (if applicable):
3.22.7

How reproducible:
100% of the time.

Steps to Reproduce:
1. Download and install Netbeans 8.2 running its installation shell script.
2. Open Gnome Software, go to Netbeans's page, click on Remove, and then click on Remove from the modal dialog.

Actual results:
Nothing happens.

Expected results:
The 'Launch' and 'Remove' buttons should become disabled and some visual indicator of progress should be shown for the operation, just as some visual feedback should be provided as to why the software can't be removed once the operation gets stuck or fails.

Additional info:
Comment 1 Fedora End Of Life 2017-11-16 13:58:02 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2017-12-12 05:37:26 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.